# Salut Fonts

This is a family of manually drawn bitmap fonts.
Source files are in BDF format, which is simple and is still supported.

The mission of the project is to provide high quality multilingual font
for applications where using of widely available vector fonts
is impractical or aestetically unacceptable.

The origin of the name is the word of a latin origin
with the meaning "hello" or "greeting gesture"
used in some languages (French, Polish, Romanian).

## Installation and usage

On a Linux graphic environment, you can install them with font installer supplied with your DE,
or manually copy them to `.fonts` in your home directory,
and then chose the font in system settings.
However, some rendering libraries do not support BDF
(notable case is Pango 1.44 dropped support for FreeType in favor of HarfBuzz),
so you might not see bitmap fonts in some applications.

There's a method to build OTB (open-type bitmap) font from BDF with `fonttosfnt`.
The `opentype` target converts all fonts to OTB.

Also conversion to PCF is possible make target `pcf` does this thing to all
fonts by calling `bdftopsf` utility.

Original inctruction: https://fedoraproject.org/wiki/BitmapFontConversion

8x8, 14x8, 16x8 font can be installed in Linux console.
First, convert BDF to PSF (bdf2psf utility needed for this).
`make consolefonts` command will do the conversion for you.
Then, copy psf fonts from build/consolefonts to /usr/consolefonts or whereever
your distribution keeps .psf/.psf.gz files.
Finally use console-setup or similarly named service to configure
Linux to use your font (consult your distribution manual on how to do this).

## Project structure

There are several individual fonts in the family. They include:
- **Salut Sans**, a proportional font for general use.
- **Salut Mono**, a fixed width (monospaced) font designed for terminals.

They include several sizes and also bold and italic.
The monospaced font also include extended (1.4x width) and wide (double width) variant.

Font file name consists of:

````
    salut-sans14y.bdf
    |   | |  |||| |_|__ Filename extension
    |   | |  ||||______ Option letters (zero or more)
    |   | |  |||_______ Size (two digits)
    |   | |__|_________ Individual name (sans etc.) |_ Font name
    |___|______________ Family name (always salut)  |
````

Option letters include:
* y - Semiexpanded (about 1.2x wide)
* x - Extended (about 1.4x wide)
* w - Wide (2x wide)
* b - Bold
* i - Italic

Monospace font size widths:
````
    height  __________ width _________
             4   6   7   8  11  12  16
       8    08  08x     08w
      11        11          11w
      12        12              12w
      14            14  14y
      16                16          16w
      22                    22

````